// langlist.h : header file
//
BOOL LoadLanguage( LCID lcid);          //... Locale IF for desired resource language


typedef struct _tagLangVals	   
{
    HWND hwndDlg;	
    LCTYPE lctLanguageForm;
    LCTYPE lctCountryForm;
    DWORD  dwInstalledForm;
} LANGVALS, *PLANGVALS;


/////////////////////////////////////////////////////////////////////////////
// CLanglist dialog

class CLanglist : public CDialog
{
// Construction
public:
	CLanglist(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CLanglist)
	enum { IDD = IDD_LANGLIST };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

protected:
	LANGVALS m_LangVals;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLanglist)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	VOID LoadLanguageListBox();

	// Generated message map functions
	//{{AFX_MSG(CLanglist)
	virtual BOOL OnInitDialog();
	afx_msg void OnRadioEnglish();
	afx_msg void OnRadioLocalized();
	afx_msg void OnRadioNative();
	afx_msg void OnCheckInstalled();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
